Author Topic: mod_security crashing Apache on new install  (Read 4844 times)

0 Members and 1 Guest are viewing this topic.

Offline
****
mod_security crashing Apache on new install
« on: February 07, 2021, 03:56:45 AM »
For some reason the mod-security screen is messed up and not showing the options.
And when you click on the icon to install, it crashes Apache.

Only way to get Apache working again, is to uninstall mod_security.

Again, this is on a brand new VPS running CentOS 8 and CWP 0.9.8.1039 that was just brought up yesterday (05FEB21)

Re: mod_security crashing Apache on new install
« Reply #1 on: February 07, 2021, 11:36:03 AM »
Welcome to the CWP Beta testing team.  :o

Offline
****
Re: mod_security crashing Apache on new install
« Reply #2 on: February 07, 2021, 11:04:10 PM »
I have 8 other servers running CentOS 8 with CWP. Most were converted before Red Hat's announcement.
None of them had this issue.

But were installed before 0.9.8.1039.
So I'm guessing, this is a bug.

Here is a screenshot of what it looks like Uninstalled.

http://opsec.black/screenshots/mod_security-bug.png
« Last Edit: February 07, 2021, 11:06:22 PM by Starburst »

Offline
****
Re: mod_security crashing Apache on new install
« Reply #3 on: February 08, 2021, 01:05:00 AM »
Just looked, this bug wasn't there with CWP 0.9.8.1036.

Offline
****
Re: mod_security crashing Apache on new install
« Reply #4 on: February 09, 2021, 03:35:43 AM »
And worked OK under 0.9.8.1040, but now Apache Rebuild is broken under 0.9.8.1041...

Offline
****
Re: mod_security crashing Apache on new install
« Reply #5 on: February 12, 2021, 04:12:41 AM »
And now it's semi working again on 0.9.8.1042, but CWPpro keeps giving the annoying red error box saying that Mod_Security is not installed.